import { AbstractTable } from '@lambda-team/ltdl';
import TestEnum from '@lambda-team/ltdl/examples/testEnum';
import UsersTable from './usersTable';

export default class CitiesTable extends AbstractTable<CitiesTable> {
  public name = this.timestamp('name', { notNull: true }).defaultValue(new Date());
  public page = this.varchar('page', { size: 256 });
  public enum1 = this.enum<TestEnum>(TestEnum, 'enum1', 'TestEnum')

  public userId1 = this.int('user_id').foreignKey(UsersTable, (table) => table.id);

  public data = this.jsonb<string[]>('data');

  public tableName(): string {
    return 'citiess';
  }
}
