import React, { useEffect, useState } from 'react';

import Prompt from '@common/components/Prompt';

enum Steps {
  NAME,
  DONE
}

interface Props {
  onDone: (config: { name: string; }) => void;
}

const Prompts: React.FC<Props> = ({ onDone }) => {
  const [name, setName] = useState('');
  const [currentStep, setCurrentStep] = useState<Steps>(Steps.NAME);

  useEffect(() => {
    if (name !== '') {
      setCurrentStep(Steps.DONE);
    }
  }, [name, setCurrentStep]);

  useEffect(() => {
    if (currentStep === Steps.DONE) {
      onDone({ name });
    }
  }, [currentStep, name]);

  return (
    <>
      <Prompt text={<>Migrate</>} onDone={setName} />
    </>
  );
};

export default Prompts;
